LedgerLou Docs is optimized for desktop.

Please open this page on a device with a wider screen.

Journal

Account movements & balance

Returns all booking lines of an account with running balance and optional date filter.

GET /v1/accounts/:number/entries
Authorization
Authorization string header required API key in the format ll_.... Pass as a Bearer token.
Query Parameters
startDate string optional From date (YYYY-MM-DD)
endDate string optional To date (YYYY-MM-DD)
limit number optional Max. results
Responses
200
Success
400
INVALID_INPUT Required fields are missing or values do not match the expected format.
404
NOT_FOUND The requested resource was not found.
GET /v1/accounts/:number/entries
cURL
-cmd">curl --request -method">GET --globoff -punct">\
  --url 'https://api.ledgerlou.de/v1/accounts/:number/entries' -punct">\
  --header 'Authorization: Bearer ll_your_key' -punct">\
  --get -punct">\
  --data-urlencode 'startDate=2026-03-17' -punct">\
  --data-urlencode 'endDate=2026-03-24' -punct">\
  --data-urlencode 'limit=5'
200 Response
JSON
{
  "entries": [
    "<string>"
  ],
  "balance": 1
}